givinteger.h File Reference

Integer Domain class specialization. More...

`#include "givaro-config.h"`
`#include "gmp++/gmp++.h"`
`#include "givaro/givbasictype.h"`
`#include "givaro/givinit.h"`
`#include "givaro/giverror.h"`
`#include "givaro/givranditer.h"`
`#include "givaro/random-integer.h"`
`#include "givaro/zring.h"`
`#include <string>`
Include dependency graph for givinteger.h:

## Data Structures

class | ZRing< Integer >
| Integer Domain, Specialization of ZRing. More...

## Namespaces

namespace | Givaro
| Namespace in which the whole Givaro library resides.

## Detailed Description

Integer Domain class specialization.